### Method

# Atk Text get_bounded_ranges

since: 1.3

#### Declaration [src]

    AtkTextRange**
    atk_text_get_bounded_ranges (
      AtkText* text,
      AtkTextRectangle* rect,
      AtkCoordType coord_type,
      AtkTextClipType x_clip_type,
      AtkTextClipType y_clip_type
    )

#### Description [src]

Get the ranges of text in the specified bounding box.

Available since: 1.3

#### Parameters

`rect`

  Type: `AtkTextRectangle`

  An AtkTextRectangle giving the dimensions of the bounding box.

  The data is owned by the caller of the method.

`coord_type`

  Type: `AtkCoordType`

  Specify whether coordinates are relative to the screen or widget window.

`x_clip_type`

  Type: `AtkTextClipType`

  Specify the horizontal clip type.

`y_clip_type`

  Type: `AtkTextClipType`

  Specify the vertical clip type.

#### Return value

Type: An array of `AtkTextRange*`

Array of AtkTextRange. The last element of the array returned by this function will be NULL.

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.